Package pyamf :: Package remoting :: Module amf0 :: Class RequestProcessor

[hide private]
[frames] | no frames]

# Class RequestProcessor

source code

Instance Methods | [hide private]

__init__(self, gateway) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

authenticateRequest(self, request, service_request, *args, **kwargs) Authenticates the request against the service. | source code

Response

buildErrorResponse(self, request, error=None) Builds an error response. | source code

_getBody(self, request, response, service_request, **kwargs) | source code

Response

__call__(self, request, *args, **kwargs) Processes an AMF0 request. | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, gateway)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### authenticateRequest(self, request, service_request, *args, **kwargs)

source code

Authenticates the request against the service.

Parameters:
  - `request` (Request) - The AMF request

### buildErrorResponse(self, request, error=None)

source code

Builds an error response.

Parameters:
  - `request` (Request) - The AMF request
Returns: Response
  The AMF response

### __call__(self, request, *args, **kwargs)
(Call operator)

source code

Processes an AMF0 request.

Parameters:
  - `request` (Request) - The request to be processed.
Returns: Response
  The response to the request.